Skip to main content
POST
Create message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2

Query Parameters

include
enum<string>
Available options:
schedule

Body

application/json
message
string
required

Supports HTML.

channels
enum<string>[]
required
Available options:
broadcast,
database,
discord_private,
discord_public,
mail,
sms
recipients
integer[]

An array of User IDs. Defaults to everyone if no recipients are provided.

repeats
boolean
default:false
send_at
string<date-time> | null

Set a future date to send the msssage at.

sent_at
string<date-time> | null

Response

OK

data
MessageResource · object